#include <iostream>
#include <string>
using namespace std;

int main()
{
    int h,w;
    cin >> h >> w ;
    char c;
    for(int i=0; i<h*w; i++){
        cin >> c ;
    }
    cout << -1 ;
    //ovoliko sam jadna..
    return 0;
}